import pandas as pd
import os

data_dir = './transformers/emotions_cache/'

def read_csv(file):
    df = pd.read_csv('{}{}'.format(data_dir, file)).set_index(['article_id', 'sentence_id'])
    df = df.drop(['sentence'], axis=1)
    try:
        df = df.drop(['sentiment'], axis=1)
    except:
        # Later files do not have the sentiment column, ignore the error
        pass
    return df

if __name__ == '__main__':
    csvs = [file for file in os.listdir(data_dir) if file.startswith('data') and file.endswith('.csv')]
    dfs = [read_csv(file) for file in csvs]
    all_data = pd.concat(dfs)
    all_data = all_data[~all_data.index.duplicated(keep='last')]
    print(all_data.shape)
    all_data.to_csv('{}{}'.format(data_dir, 'all_emotions.csv'))
