from models.base_estimator import BaseEstimator

from sklearn.dummy import DummyClassifier

from utils import flatten

class RandomBaseline(BaseEstimator):
    def __init__(self):
        self.params = {
            'description': 'Stratified Random (Baseline)',
            'dummy_clf_params': {
                'strategy': 'stratified',
            }
        }

    def fit(self, train_x, train_y):
        train_x = [x.sentence for x in train_x]

        self.model = DummyClassifier(**self.params['dummy_clf_params'])
        self.model.fit(train_x, train_y)

    def predict(self, test_x):
        test_x = [x.sentence for x in test_x]

        return self.model.predict(test_x)

    def get_grid_params(self):
        return {
            'strategy': ('stratified', 'most_frequent', 'prior'),
        }
