from nltk import pos_tag
from nltk.tokenize import sent_tokenize, word_tokenize
from nltk.corpus import wordnet

# threshold is how many meanings do we want for a word to count as confusing
def has_confusing_words(data):
    transformed = []

    for entry in data:
      tokens = word_tokenize(entry)
      words_tagged = pos_tag(tokens)
      # 0 - verbs, 1 - adjectives, 2 - nouns, 3 - adverbs
      word_vector = [0,0,0,0]
      for word, tag in words_tagged:
        if (tag.startswith('VB')):
          word_vector[0] += len(wordnet.synsets(word, pos=wordnet.VERB))
        elif (tag.startswith('JJ')):
          word_vector[1] += len(wordnet.synsets(word, pos=wordnet.ADJ))
        elif (tag.startswith('NN')):
          word_vector[2] += len(wordnet.synsets(word, pos=wordnet.NOUN))
        elif (tag.startswith('RB')):
          word_vector[3] += len(wordnet.synsets(word, pos=wordnet.ADV))

      transformed.append(list(map(lambda x:x/len(words_tagged),word_vector)))

    return transformed
