from nltk import pos_tag, word_tokenize

def words_by_tag(sentence, tag):
    tagged_words = pos_tag(word_tokenize(sentence))
    return [tagged_word[0] for tagged_word in tagged_words if tagged_word[1] == tag]

def max_word_count(words):
    return max([words.count(word) for word in words], default=0)

def singular_proper_noun_max_counts(sentences):
    return [[max_word_count(words_by_tag(sentence, 'NNP'))] for sentence in sentences]

def plural_proper_noun_max_counts(sentences):
    return [[max_word_count(words_by_tag(sentence, 'NNPS'))] for sentence in sentences]
