from textstat.textstat import textstat

from utils import print_progress_bar

def readability(X, indices = ['flesch_reading_ease', 'smog_index', 'flesch_kincaid_grade', 'coleman_liau_index', \
    'automated_readability_index', 'dale_chall_readability_score', 'difficult_words', \
    'linsear_write_formula', 'gunning_fog']):
    transformed = []

    data_length = len(X)

    for i, doc in enumerate(X):
        features = [getattr(textstat, index)(doc) for index in indices]
        transformed.append(features)

        print_progress_bar(i + 1, data_length, description = 'readability')

    return transformed
